# pandas.DataFrame.add

`DataFrame.``add`(other, axis='columns', level=None, fill_value=None)

  Addition of dataframe and other, element-wise (binary operator add).

  Equivalent to `dataframe + other`, but with support to substitute a fill_value for missing data in one of the inputs.

  Parameters:

  other : Series, DataFrame, or constant

  axis : {0, 1, ‘index’, ‘columns’}

  > For Series input, axis to match Series index on

  fill_value : None or float value, default None

  > Fill missing (NaN) values with this value. If both DataFrame locations are missing, the result will be missing

  level : int or name

  > Broadcast across a level, matching Index values on the passed MultiIndex level

  Returns: | result : DataFrame

  See also

  `DataFrame.radd`

  Notes

  Mismatched indices will be unioned together

Scroll To Top